if(isFile("Add-Ons/Sound_Blockland/server.cs"))
{
   forceRequiredAddOn("Sound_Blockland");
}
else
{
   datablock AudioProfile(Block_MoveBrick_Sound)
   {
      filename = "base/data/sound/clickMove.wav";
      description = AudioClosest3d;
      preload = false;
   };
}

%error = ForceRequiredAddOn("Weapon_Gun");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the horse to load, but the user had it disabled
   //  so lets make it so they can't select it
   HorseArmor.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the horse, so we're screwed
   error("ERROR: Weapon_HorseRay - required add-on Vehicle_Horse not found");
}

else
{
   exec("./Sniper_Rifle.cs");
   exec("./Support_AmmoGuns.cs");
}
